[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TSEMun

Record used in semctl call.

## Declaration

Source position: ipc.pp line 549

`type TSEMun = record`
`case cint of`
`0: (`
`val: cint;` |  | Current value
`);`
`1: (`
`buf: PSEMid_ds;` |  | Buffer
`);`
`2: (`
`arr: PWord;` |  | Array
`);`
`3: (`
`padbuf: PSEMinfo;` |  | Size padding
`);`
`4: (`
`padpad: pointer;` |  | Size padding
`);`
`end;`

Documentation generated on: Feb 26 2014